# Imagick::setImage

(PECL imagick 2.0.0)

Imagick::setImage — Replaces image in the object

### Description

Imagick::setImage ( Imagick `$replace` ) : bool

Replaces the current image sequence with the image from replace object.

### Parameters

`replace`

  The replace Imagick object

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 A Imagick::setImage() example

An example of using Imagick::setImage()

`<?php
/* Create the objects */
$image = new Imagick('source.jpg');
$replace = new Imagick('replace.jpg');
/* source.jpg is replaced with replace.jpg */
$image->setImage($replace);
/* output the image */
header('Content-type: image/jpeg');
echo $image;
?>`